StocksAndFisheriesKB - Bug #11754

Wrong or missing format for source/data owner metadata in narrative fields (Assessment Methods ;
Scientific advice ; State and trend of Marine Resource)

May 11, 2018 11:44 AM - Luca Frosini

Status: Closed Start date: May 11, 2018
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

In this example ‘Scientific advice” and “State and trend of marine resources” are not consistently referenced as now it is for
abundance level and fishing pressure. They all should contain in square brackets "[ ]" data owner and database source, ref year and
rep year (when available)

@marketak@ics.forth.gr @minadakn@ics.forth.gr can you provide me an example of JSON so | can investigate the issue?

I have an example of attached JSON but | don't have such a fields

History

#1 - May 11, 2018 12:38 PM - Yannis Marketakis
- File 94ca66df-f55b-338a-92ea-9592422dd4e4.json added

Hi Luca,

attached you will find the JSON object for the particular record

#2 - May 11, 2018 02:26 PM - Luca Frosini

- Status changed from New to In Progress

As reported from @aureliano.gentile@fao.org "in state an trend of marine resource the reporting year is still missing, the rest looks fine. In fact by
checking the json file that information is missing":

"state_and_trend_of_marine_resources" : [ {
"value" : "The stock has been on an increasing trend since 2007 and is considered by ICES to be at full re
productive capacity. Spawning stock biomass was estimated at 2.0 million tonnes in 2013, i.e., well above both
the precautionary reference point Bpa (1.3 million tonnes) and management pland€™s upper trigger of (1.5 mill
ion tonnes). Fishing mortality increased in recent years but is still well below the management plan target Ft
rp and FMSY. However, the stock is considered to continue in a low productivity phase a€“ the series of weak r

ecruitment since 2002 is the lowest observed (ICES, 2013a). [Data Owner: International Council for the Explo
ration of the Sea, DB Source: FishSourcel",
"reference_year" : -1

bl

#3 - May 11, 2018 02:26 PM - Luca Frosini

- Assignee changed from Luca Frosini to Yannis Marketakis

#4 - May 11, 2018 02:27 PM - Luca Frosini
@marketak@ics.forth.gr thanks for your support

#5 - May 11, 2018 02:27 PM - Luca Frosini
- % Done changed from 0 to 80

#6 - Jul 26, 2018 02:10 PM - Luca Frosini
- Project changed from 8 to StocksAndFisheriesKB
- Category deleted (Default)
https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/94ca66df-f55b-338a-92ea-9592422dd4e4

- Status changed from In Progress to Closed
- Target version deleted (WP05)
- % Done changed from 80 to 100

#7 - Jul 26, 2018 02:18 PM - Luca Frosini

- Tracker changed from Task to Bug

Files
aux.json 17.2 KB May 11, 2018 Luca Frosini
94ca66df-f55b-338a-92ea-9592422dd4e4.json 224 KB May 11, 2018 Yannis Marketakis
